/*
 * MAX : gpiberr.h, Sam Dez 29 19:47:09 CET 2001 -sg
 * 
 * This file is part of Max data acquisition software
 * Copyright (C) 1997,98 Christian Rosen
 *
 * Max is free software; you can redistribute it and/or modify it
 * under the terms of the version 2 of GNU General Public License as
 * published by the Free Software Foundation.
 *
 * Max is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * (see the file COPYING) in this directory; if not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __GPIBERR_HPP__
#define __GPIBERR_HPP__


/*
	additional defs of status word bits (missing in gpib_user.h)
*/ 
#ifndef EVENT
  #define EVENT	 (1 << 10)	// A DTAS or DCAS event has occured
#endif
#ifndef SPOLL
  #define SPOLL	 (1 <<  9)	// The board has been serial polled by the controller
#endif
#ifndef LOK
  #define LOK	 (1 <<  7)	// Lockout state
#endif
#ifndef REM
  #define REM	 (1 <<  6)	// Remote State
#endif
#ifndef DTAS
  #define DTAS	 (1 <<  1)	// Device trigger state
#endif
#ifndef DCAS
  #define DCAS	 (1)		// Device clear state
#endif


/*
  Diese Funktion ist fuer das Errorhandling auf dem Gpib-bus
  verantwortlich - mit variabler Argumentenliste!
*/

void gpib_error ( char *formatstr, ... );


/*
  Vorlaeufer-Version von gpib_error(),
  zwecks backward compatibility erhalten
*/
 
void gpiberr ( char *errmsgstr );

#endif
