 
/*
 sample1.c

 Copyright by ines GmbH 2001 

 sample program for ines ieee488 driver

 - configure a HP34401A DMM to measure after a delay and assert srq when ready
 - wait for SRQ occured and read value
 we are using the functions in gpibfx.c here...

*/

#include "gpibfx.h"                                                                          


#define SRQ_TMO 19000 // ms
#define TMO     10000 // ms



//----------------------------------------------------------------------------
int main()
//----------------------------------------------------------------------------
{
  byte buf[255];
  uint cnt;
  int pad=2;  

  ieinit();

  ieoutput(pad,"*RST\n",TMO);   // reset
  ieoutput(pad,"*CLS\n",TMO);   // clear status reg
  ieoutput(pad,"*ESE 1\n",TMO); // enable standard event 'operation complete'
  ieoutput(pad,"*SRE 32\n",TMO);// enable 'standard event' in status byte
  ieoutput(pad,"*OPC?\n",TMO);  // wait for operation complete
  
  cnt=10;
  buf[0]=0;
  ieenter(pad,buf,&cnt,TMO); // read the response
  ieoutput(pad,"TRIGGER:DELAY 6\n",TMO); // verzoegerung ...
  ieoutput(pad,"INIT\n",TMO);
  ieoutput(pad,"*OPC\n",TMO); // setzen von OPC wenn fertig                                            
  iewaitSRQ(SRQ_TMO); 
  iespoll(pad);
  ieoutput(pad,"READ?\n",TMO);

  cnt=255;
  buf[0]=0;
  ieenter(pad,buf,&cnt,TMO); // read the response

  ieoutput(pad,"*CLS\n",TMO);   // clear status reg
  iedeinit();
}


